import { HttpClient } from '@angular/common/http';
import { TranslateService } from '@ngx-translate/core';
import { MessageService } from 'primeng/api';
import { ReadinessDto } from "../readiness/readiness-dto";
export declare class ReadinessAdjustmentService {
    private readonly http;
    private readonly messageService;
    private readonly translate;
    private readonly bffFacadeUrl;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    insert(readiness: ReadinessDto): import("rxjs").Observable<unknown>;
    update(id: any, readiness: ReadinessDto): import("rxjs").Observable<unknown>;
    delete(id: string): import("rxjs").Observable<unknown>;
}
